Update proxy settings

  • PATCH /platform/infrastructure/proxies/settings
Auth
Warning

This endpoint is deprecated and scheduled to be removed in the next major version.

Applies the settings as a patch. Only the fields that are referenced in the update are changed.

Query parameters

version string

If specified, checks for conflicts against the version of the repository configuration (returned in 'x-cloud-resource-version' of the GET request)

Request body

A JSON to merge with the existing settings

Type: string

Responses

Returns the updated settings

application/json
expected_proxies_count integer · format: int32 required

Expected number of proxies

signature_secret string required

Secret string for signature generation

signature_valid_for_millis integer · format: int64 required

Signature validity in milliseconds

http_settings object required
Warning

This object is deprecated and scheduled to be removed in the next major version.

disconnected_cutoff integer · format: int64 required

Cutoff interval after disconnection in milliseconds

minimum_proxy_services integer · format: int32 required

Minimum number of proxy instances

sso_settings object required
Warning

This object is deprecated and scheduled to be removed in the next major version.

max_age integer · format: int64 required

Maximum age of single-sign-on token in milliseconds

sso_secret string required

Secret string for single-sign-on

Name of the HTTP cookie used for single-sign-on

dont_log_requests boolean required

If true, don't log requests

default_redirect_path string required

Default path where users are redirected after a successful single-sign-on

Name of the cookie that bypasses maintenance

dashboards_base_url string required

Base URL for the dashboard

Secret string for the HTTP cookie

User key for the HTTP cookie

There is a version conflict. (code: proxies.version_conflict)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response